Bug 172641 - net/netatalk3 configure fails when LDAP is enabled
net/netatalk3 configure fails when LDAP is enabled
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Joe Marcus Clarke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 15:50 UTC by NTmatter
Modified: 2012-10-14 00:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description NTmatter 2012-10-12 15:50:00 UTC
Attempting to build netatalk3 (v3.0.1) fails if LDAP support is enabled. The build completes without incident if LDAP support is disabled.

The last few lines of "make configure" are as follows:
checking for LDAP (necessary for client-side ACL visibility)... yes
checking ldap.h usability... no
checking ldap.h presence... no
checking for ldap.h... no
configure: error: Missing LDAP headers
===>  Script "configure" failed unexpectedly.
Please report the problem to marcus@FreeBSD.org [maintainer] and attach the
"/usr/ports/net/netatalk3/work/netatalk-3.0.1/config.log" including the output
of the failure of your make command. Also, it might be a good idea to provide
an overview of all packages installed on your system (e.g. a /usr/sbin/pkg_info
-Ea).
*** [do-configure] Error code 1

Stop in /usr/ports/net/netatalk3.
*** [configure] Error code 1

Stop in /usr/ports/net/netatalk3.

How-To-Repeat: cd /usr/ports/net/netatalk3
make config
Ensure that "LDAP" is selected
make configure
Comment 1 Edwin Groothuis freebsd_committer 2012-10-12 15:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 NTmatter 2012-10-13 14:55:04 UTC
Configure and Build are successful after modifying the Makefile (line 86)
from:
CONFIGURE_ARGS+=        --with-ldap

To:
CONFIGURE_ARGS+=        --with-ldap=${LOCALBASE}


On Fri, Oct 12, 2012 at 4:50 PM, <FreeBSD-gnats-submit@freebsd.org> wrote:

> Thank you very much for your problem report.
> It has the internal identification `ports/172641'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=172641
>
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       net/netatalk3 configure fails when LDAP is enabled
> >Arrival-Date:   Fri Oct 12 14:50:00 UTC 2012
>
Comment 3 Joe Marcus Clarke freebsd_committer 2012-10-14 00:23:32 UTC
State Changed
From-To: open->closed

Committed, thanks!